## t2html 2010.0302+gitbec03e2

=== Makefile ===
#!/usr/bin/make -f
#
#   Copyright information
#
#	Copyright (C) 2002-2010 Jari Aalto
#
#   License
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program. If not, see <http://www.gnu.org/licenses/>.

ifneq (,)
This makefile requires GNU Make.
endif

PACKAGE		= t2html
DESTDIR		=
prefix		= /usr
exec_prefix	= $(prefix)
man_prefix	= $(prefix)/share
mandir		= $(man_prefix)/man
bindir		= $(exec_prefix)/bin
sharedir	= $(prefix)/share

BINDIR		= $(DESTDIR)$(bindir)
DOCDIR		= $(DESTDIR)$(sharedir)/doc/$(PACKAGE)
LOCALEDIR	= $(DESTDIR)$(sharedir)/locale
SHAREDIR	= $(DESTDIR)$(sharedir)/$(PACKAGE)
LIBDIR		= $(DESTDIR)$(prefix)/lib/$(PACKAGE)
SBINDIR		= $(DESTDIR)$(exec_prefix)/sbin
ETCDIR		= $(DESTDIR)/etc/$(PACKAGE)

# 1 = regular, 5 = conf, 6 = games, 8 = daemons
MANDIR		= $(DESTDIR)$(mandir)
MANDIR1		= $(MANDIR)/man1
MANDIR5		= $(MANDIR)/man5
MANDIR6		= $(MANDIR)/man6
MANDIR8		= $(MANDIR)/man8

TAR		= tar
TAR_OPT_NO	= --exclude='.build'	 \
		  --exclude='.sinst'	 \
		  --exclude='.inst'	 \
		  --exclude='tmp'	 \
		  --exclude='*.bak'	 \
		  --exclude='*[~\#]'	 \
		  --exclude='.\#*'	 \
		  --exclude='CVS'	 \
		  --exclude='.svn'	 \
		  --exclude='.git'	 \
		  --exclude='.bzr'	 \
		  --exclude='*.tar*'	 \
		  --exclude='*.tgz'

INSTALL		= /usr/bin/install
INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_SUID	= $(INSTALL) -m 4755

DIST_DIR	= ../build-area
DATE		= `date +"%Y.%m%d"`
VERSION		= $(DATE)
RELEASE		= $(PACKAGE)-$(VERSION)

BIN		= $(PACKAGE)
PL_SCRIPT	= bin/$(BIN).pl

INSTALL_OBJS_BIN   = $(PL_SCRIPT)
INSTALL_OBJS_DOC   = README
INSTALL_OBJS_MAN   = bin/*.1

all:
	@echo "Nothing to compile."
	@echo "Try 'make help' or 'make -n DESTDIR= prefix=/usr/local install'"

# Rule: help - display Makefile rules
help:
	grep "^# Rule:" Makefile | sort

# Rule: clean - remove temporary files
clean:
	# clean
	-rm -f *[#~] *.\#* \
	*.x~~ pod*.tmp

	rm -rf tmp

distclean: clean

realclean: clean

dist-git:
	rm -f $(DIST_DIR)/$(RELEASE)*

	git archive --format=tar --prefix=$(RELEASE)/ master | \
	gzip --best > $(DIST_DIR)/$(RELEASE).tar.gz

	chmod 644 $(DIST_DIR)/$(RELEASE).tar.gz

	tar -tvf $(DIST_DIR)/$(RELEASE).tar.gz | sort -k 5
	ls -la $(DIST_DIR)/$(RELEASE).tar.gz

# The "gt" is maintainer's program frontend to Git
# Rule: dist-snap - [maintainer] release snapshot from Git repository
dist-snap:
	echo gt tar -q -z -p $(PACKAGE) -c -D master

# Rule: dist - [maintainer] release from Git repository
dist: dist-git

dist-ls:
	@ls -1tr $(DIST_DIR)/$(PACKAGE)*

# Rule: dist - [maintainer] list of release files
ls: dist-ls

bin/$(PACKAGE).1: $(PL_SCRIPT)
	$(PERL) $< --help-man > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/index.html: $(PL_SCRIPT)
	$(PERL) $< --help-html > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/index.txt: $(PL_SCRIPT)
	$(PERL) $< --help > $@
	@-rm -f *.x~~ pod*.tmp

doc/conversion/index.html: doc/conversion/index.txt
	perl -S t2html.pl --Auto-detect --Out --print-url $<

# Rule: man - Generate or update manual page
man: bin/$(PACKAGE).1

html: doc/manual/index.html

txt: doc/manual/index.txt

# Rule: doc - Generate or update all documentation
doc: man html txt

# Rule: perl-test - Check program syntax
perl-test:
	# perl-test - Check syntax
	perl -cw $(PL_SCRIPT)
	podchecker $(PL_SCRIPT)

# Rule: test - Run tests
test: perl-test

install-doc:
	# Rule install-doc - Install documentation
	$(INSTALL_BIN) -d $(DOCDIR)

	[ ! "$(INSTALL_OBJS_DOC)" ] || \
		$(INSTALL_DATA) $(INSTALL_OBJS_DOC) $(DOCDIR)

	$(TAR) -C doc $(TAR_OPT_NO) --create --file=- . | \
	$(TAR) -C $(DOCDIR) --extract --file=-

install-man: man
	# install-man - Install manual pages
	$(INSTALL_BIN) -d $(MANDIR1)
	$(INSTALL_DATA) $(INSTALL_OBJS_MAN) $(MANDIR1)

install-bin:
	# install-bin - Install programs
	$(INSTALL_BIN) -d $(BINDIR)
	for f in $(INSTALL_OBJS_BIN); \
	do \
		dest=$$(basename $$f | sed -e 's/\.pl$$//' -e 's/\.py$$//' ); \
		$(INSTALL_BIN) $$f $(BINDIR)/$$dest; \
	done

# Rule: install - Standard install
install: install-bin install-man install-doc

# Rule: install-test - for Maintainer only
install-test:
	rm -rf tmp
	make DESTDIR=`pwd`/tmp prefix=/usr install
	find tmp | sort

.PHONY: clean distclean realclean
.PHONY: install install-bin install-man
.PHONY: all man doc test install-test perl-test
.PHONY: dist dist-git dist-ls ls

# End of file

=== debian/changelog ===
t2html (2010.0302+gitbec03e2-2) unstable; urgency=low

  * Upgrade to packaging format "3.0 quilt".
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Description): Update URL (Closes: #665709).
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0
  * debian/README.Debian
    - Add pointer to custom CSS.
  * debian/rules
    - Update to dh(1).
    - (override_dh_compress): New. Do not compress files that can be used
      for test examples for the program.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 25 Mar 2012 14:57:42 +0300

t2html (2010.0302+gitbec03e2-1) unstable; urgency=low

  * Initial release (Closes: #571014).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 02 Mar 2010 13:03:22 +0200

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = t2html
DOCDIR	= debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)

override_dh_auto_install:
	$(MAKE) prefix=/usr \
		DESTDIR=debian/$(PACKAGE) \
		INSTALL_OBJS_DOC="" \
		DOCDIR=$(DOCDIR)/doc \
		install

	# Nothing relevant, copies of manual pages etc.
	rm -rf $(DOCDIR)/doc/license $(DOCDIR)/doc/manual

override_dh_compress:
	dh_compress -X "*.txt"
	# Not documentation, but example files to try on
	find debian -name "*.txt.gz" | xargs -r gzip -d

%:
	dh  $@


# End of file

## t2html 2016.1020+git294e8d7

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2002-2010 Jari Aalto
+#	Copyright (C) 2002-2016 Jari Aalto
 #
 #   License
 #
@@ -157,6 +157,7 @@
 
 # Rule: test - Run tests
 test: perl-test
+check: test
 
 install-doc:
 	# Rule install-doc - Install documentation

=== debian/changelog ===
t2html (2016.1020+git294e8d7-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920092)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Wilkens Lenon Silva de Andrade <wlenon@softwarelivre.org>  Fri, 15 May 2020 21:32:27 -0300

t2html (2016.1020+git294e8d7-1) unstable; urgency=medium

  * New upstream release.
    - ACK NMU, thanks Gregor. Release includes fix for defined().
  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.
  * t2html.lintian-overrides
    - Add explanation for overrides.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 21 Oct 2016 17:58:03 +0300

t2html (2010.0302+gitbec03e2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.22: Can't use 'defined(@array)'":
    add patch to drop defined().
    (Closes: #789673)

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Sep 2015 18:21:04 +0200

=== debian/control ===
Source: t2html
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/t2html.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/t2html.git
Homepage: https://github.com/jaalto/project--perl-text2html

Package: t2html
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libwww-perl, libhtml-format-perl, libhtml-linkextractor-perl
Description: text to HTML converter implemented in Perl
 Convert text file into HTML 4.01/CSS2 format. The is written in
 natural white paper format by using standard headings and indented
 paragraphs at standard tab position column 8. The text can *contain*
 _ASCII_ =markup= `tokens'. Embedding HTML is also possible via INCLUDE
 directives. This utility predates similar Python-based asciidoc.
 .
 A showcase: http://pm-doc.sourceforge.net/doc/

=== debian/watch ===
version=3
# https://savannah.nongnu.org/files/?group=perl-t2html
# http://download.savannah.gnu.org/releases/perl-t2html
# http://mirrors.zerg.biz/nongnu/perl-t2html/ p.*-([\d.]+).*\.tar\.gz

# Nothing here. Packaged directly from Git repository. See debian/copyright
# for website URL.

## t2html 2020.08.19%2Bgit2d9159d

=== debian/changelog ===
t2html (2020.08.19+git2d9159d-1) unstable; urgency=medium

  * New maintainer (Closes: #920092) 
  * New upstream release.
  * Vcs-Browser update.
  * Vcs-Git update.
 
 -- Victor Raphael Santos Souza <victor61126@gmail.com>  Wed, 17 Nov 2021 18:31:29 -0300

## t2html 2020.08.19+git2d9159d

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2002-2016 Jari Aalto
+#	Copyright (C) 2002-2020 Jari Aalto
 #
 #   License
 #
@@ -22,6 +22,8 @@
 ifneq (,)
 This makefile requires GNU Make.
 endif
+
+PATH		:= bin:$(PATH)
 
 PACKAGE		= t2html
 DESTDIR		=
@@ -61,6 +63,8 @@
 		  --exclude='.bzr'	 \
 		  --exclude='*.tar*'	 \
 		  --exclude='*.tgz'
+# E.g. --verbose
+TAR_OPT_USER    =
 
 INSTALL		= /usr/bin/install
 INSTALL_BIN	= $(INSTALL) -m 755
@@ -85,7 +89,7 @@
 
 # Rule: help - display Makefile rules
 help:
-	grep "^# Rule:" Makefile | sort
+	@grep "^# Rule:" Makefile | sort
 
 # Rule: clean - remove temporary files
 clean:
@@ -137,19 +141,20 @@
 	@-rm -f *.x~~ pod*.tmp
 
 doc/conversion/index.html: doc/conversion/index.txt
-	perl -S t2html.pl --Auto-detect --Out --print-url $<
+	perl -S t2html.pl --auto-detect --out --print-url $<
+	@-rm -f *.x~~ pod*.tmp
 
 # Rule: man - Generate or update manual page
 man: bin/$(PACKAGE).1
 
-html: doc/manual/index.html
+html: doc/manual/index.html doc/conversion/index.html
 
 txt: doc/manual/index.txt
 
 # Rule: doc - Generate or update all documentation
 doc: man html txt
 
-# Rule: perl-test - Check program syntax
+# Internal: perl-test - Check program syntax
 perl-test:
 	# perl-test - Check syntax
 	perl -cw $(PL_SCRIPT)
@@ -166,7 +171,7 @@
 	[ ! "$(INSTALL_OBJS_DOC)" ] || \
 		$(INSTALL_DATA) $(INSTALL_OBJS_DOC) $(DOCDIR)
 
-	$(TAR) -C doc $(TAR_OPT_NO) --create --file=- . | \
+	$(TAR) -C doc $(TAR_OPT_NO) $(TAR_OPT_USER) --create --file=- . | \
 	$(TAR) -C $(DOCDIR) --extract --file=-
 
 install-man: man
@@ -186,7 +191,7 @@
 # Rule: install - Standard install
 install: install-bin install-man install-doc
 
-# Rule: install-test - for Maintainer only
+# Rule: install-test - [maintainer] test installation in tmp directory
 install-test:
 	rm -rf tmp
 	make DESTDIR=`pwd`/tmp prefix=/usr install

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: t2html
 Section: text
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Victor Raphael Santos Souza <victor61126@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/t2html.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/t2html.git
+Standards-Version: 4.6.0
 Homepage: https://github.com/jaalto/project--perl-text2html
+Vcs-Browser: https://salsa.debian.org/souza/t2html
+Vcs-Git: https://salsa.debian.org/souza/t2html.git
+Rules-Requires-Root: no
 
 Package: t2html
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,3 @@
 
 %:
 	dh  $@
-
-
-# End of file

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 # https://savannah.nongnu.org/files/?group=perl-t2html
 # http://download.savannah.gnu.org/releases/perl-t2html
 # http://mirrors.zerg.biz/nongnu/perl-t2html/ p.*-([\d.]+).*\.tar\.gz
